Bug 10743 - git-format-patch puts color escape sequences in output files
: git-format-patch puts color escape sequences in output files
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/git-core)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-30 23:07 by
Modified: 2008-08-23 18:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-30 23:07:33
$ git init-db 
defaulting to local storage area
$ touch f
$ git add f
$ git commit -m added
Committing initial tree 3d5a503f4062d198b443db5065ca727f8354e7df
$ echo t > f
$ git commit -a -m changed
$ git format-patch HEAD\^
0001-changed.txt
$ tr -d \\033 < 0001-changed.txt | tail

[1mdiff --git a/f b/f[m
[1mindex e69de29..718f4d2 100644[m
[1m--- a/f[m
[1m+++ b/f[m
[36m@@ -0,0 +1 @@[m
[32m+[m[32mt[m
-- 
1.4.4.3.GIT

$ git reset --hard HEAD\^
$ git-am 0001-changed.txt 

Applying 'changed'

error: No changes
Patch failed at 0001.
When you have resolved this problem run "git-am --resolved".
If you would prefer to skip this patch, instead run "git-am --skip".
------- Comment #1 From 2007-02-01 14:01:40 -------
13:41 <raorn> vsu: ты git из master используешь?
13:42 <vsu> raorn: ага
13:45 <vsu> raorn: у меня уже давно color.diff = auto, и ничего подобного ни
разу не видел
13:45 <raorn> vsu: значит наверно исправили?
13:45 <vsu> raorn: главное yes не ставить... хотя сейчас и так не вылезает вроде
13:46 <vsu> raorn: ага, даже с yes не вылезает теперь
13:59 <vsu> raorn: это результат того, что ldv поменял инициализацию
diff_use_color_default
13:59 <raorn> vsu: ну да
13:59 <vsu> raorn: там в git_format_config() просто игнорируется diff.color,
прочитанный из конфига
14:00 <raorn> vsu: вот он и спрашивал всера, не исправлено ли всё это в master
14:00 <vsu> raorn: там это не сломано
14:00 <vsu> raorn: поскольку там нет его глючного коммита
3ac4686fcb368799fa40022320b4a65249368cd4 :)
------- Comment #2 From 2007-02-18 05:04:34 -------
Fixed in v1.5.0-gc137583.